You can get a log of activities by all admins in an app.
Requires the read_admins OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/admins/activity_logs
- The european API serverhttps://api.eu.intercom.io/admins/activity_logs
- The australian API serverhttps://api.au.intercom.io/admins/activity_logs
curl -i -X GET \
'https://api.intercom.io/admins/activity_logs?created_at_after=1677253093&created_at_before=1677861493&page=1&per_page=20' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful response
String representing the object's type. Always has the value activity_log.list.
Example:"activity_log.list"
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
activity_logsArray of objects(Activity Log)
An array of activity logs
Response
{ "type": "activity_log.list", "pages": { "type": "pages", "next": null, "page": 1, "per_page": 20, "total_pages": 1 }, "activity_logs": [ { … }, { … } ] }